HelloWorldPluginDeclaration (SmartExecutor-HelloWorldPlugin 1.0.0-SNAPSHOT API)
Date: 2015-04-14

org.acme

## Class HelloWorldPluginDeclaration

- java.lang.Object
- - org.acme.HelloWorldPluginDeclaration

- All Implemented Interfaces:
    org.gcube.vremanagement.executor.plugin.PluginDeclaration

      public class HelloWorldPluginDeclaration
      extends Object
      implements org.gcube.vremanagement.executor.plugin.PluginDeclaration

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESCRIPTION`
    `static String` | `NAME` Plugin name used by the Executor to retrieve this class
    `static String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelloWorldPluginDeclaration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `Class<? extends org.gcube.vremanagement.executor.plugin.Plugin<? extends org.gcube.vremanagement.executor.plugin.PluginDeclaration>>` | `getPluginImplementation()`
    `Map<String,String>` | `getSupportedCapabilities()`
    `String` | `getVersion()`
    `void` | `init()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      Plugin name used by the Executor to retrieve this class
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HelloWorldPluginDeclaration

          public HelloWorldPluginDeclaration()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `org.gcube.vremanagement.executor.plugin.PluginDeclaration`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.gcube.vremanagement.executor.plugin.PluginDeclaration`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.gcube.vremanagement.executor.plugin.PluginDeclaration`

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `org.gcube.vremanagement.executor.plugin.PluginDeclaration`

    - #### getSupportedCapabilities

          public Map<String,String> getSupportedCapabilities()

      Specified by:
        `getSupportedCapabilities` in interface `org.gcube.vremanagement.executor.plugin.PluginDeclaration`

    - #### getPluginImplementation

          public Class<? extends org.gcube.vremanagement.executor.plugin.Plugin<? extends org.gcube.vremanagement.executor.plugin.PluginDeclaration>> getPluginImplementation()

      Specified by:
        `getPluginImplementation` in interface `org.gcube.vremanagement.executor.plugin.PluginDeclaration`

Copyright © 2015. All Rights Reserved.